<template>
    <div> 
            <div v-for="subject in subjects" 
            :key="subject">
               <input
                    type="checkbox"
                    :id="subject.id"
                    :value="subject.id"
                    v-model="selectedSubjects"
                />
                <label :for="subject.id">{{ subject.name }}</label>
            </div>
            <router-link
            v-if="selectedSubjects.length > 0"
            :to="{ name: 'teacher', query: { subjectIds: selectedSubjects.join('/') } }">
            <button>Вибрати вчителів</button>
            </router-link>
        
        <router-link :to="{ name: 'LessonsSelect' }">Вибрати предмети</router-link>
        <router-view/>
    </div>
</template>

<script>
import {mapState} from 'vuex'
export default {
   name:"LessonsPage",
    data() {
    return {
      selectedSubjects: [],
        };
    },
   computed: {
    ...mapState({
        subjects: 'subjectsGetter',
        teachers: 'teachersGetter',
      }),
   },
}

</script>

<style lang="scss" scoped>

</style>